Bug 38105 - [chromium] Select popups should be closed when select is clicked
Summary: [chromium] Select popups should be closed when select is clicked
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-25 23:51 PDT by Jay Civelli
Modified: 2010-04-27 19:29 PDT (History)
2 users (show)

See Also:


Attachments
Fix for closing a select popup when there is a click on the select (2.23 KB, patch)
2010-04-25 23:59 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff
Fixing style (2.22 KB, patch)
2010-04-26 00:11 PDT, Jay Civelli
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jay Civelli 2010-04-25 23:51:37 PDT
- In Chromium open a page with a select
- Click the select, the popup is opened
- Click the select again

Expected:
The popup is closed.

Actual:
The popup remains open.
Comment 1 Jay Civelli 2010-04-25 23:59:27 PDT
Created attachment 54261 [details]
Fix for closing a select popup when there is a click on the select
Comment 2 WebKit Review Bot 2010-04-26 00:01:36 PDT
Attachment 54261 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKit/chromium/src/WebViewImpl.cpp:329:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
Suppressing further [whitespace/carriage_return] reports for this file.
Total errors found: 9 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Jay Civelli 2010-04-26 00:11:57 PDT
Created attachment 54263 [details]
Fixing style
Comment 4 WebKit Commit Bot 2010-04-27 19:29:31 PDT
Comment on attachment 54263 [details]
Fixing style

Clearing flags on attachment: 54263

Committed r58370: <http://trac.webkit.org/changeset/58370>
Comment 5 WebKit Commit Bot 2010-04-27 19:29:36 PDT
All reviewed patches have been landed.  Closing bug.